import { jsx } from "react/jsx-runtime";
import { ControlIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Control = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "Control", ...props, children: /* @__PURE__ */ jsx(ControlIcon, { weight: variant }) });
  }
);
Control.displayName = "Control";
Object.assign(Control, { isGdsIcon: true });
export {
  Control
};
